Abiword での日本語入力

リリースされた日本語版に関するもの

モデレータ: 暇人, YoN, nyu

Abiword での日本語入力

投稿記事by きりん » 10/03/30(火) 20:19

こんにちわ。きりんです。
puppyのインストールを繰り返しているうちに、何故か、OpenOfficeを必ず導入するようになっている自分です。
ふと、考えるに、Abiwordで日本語入力をするとインライン入力でなく、あさっての位置にタイプした文字が表示されることが原因に思えます。
ずーと、こうでしたっけ???
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: Abiword での日本語入力

投稿記事by 暇人 » 10/03/31(水) 13:42

ずーっとそうです。
管理人見習い
NEC Express5800 S70/SR G6950 2.8GHz/1G
lenovo S10-3 AtomN450 1.66G/1G
暇人/貳馬力/2CV
アバター
暇人
 
記事: 2387
登録日時: 07/08/12(日) 23:33
お住まい: 埼玉県xx市並4

Re: Abiword での日本語入力

投稿記事by きりん » 10/03/31(水) 20:29

暇人 さんが書きました:ずーっとそうです。

ああ、やっぱり。
webで検索しても、よい情報はないみたいでね!(tiny coreで出きると言う書き込みはありましたが)
scimの他にも同じ目的のプログラムがありますが、先行実験を行っている人はいるのでしょうか?
やってみれば!!!になりますか… :D
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: Abiword での日本語入力

投稿記事by 新谷 » 10/03/31(水) 22:46

半年くらい前、uim+cannaで試した事があったんですが全然ダメでしたね..... :oops:
新谷
 
記事: 934
登録日時: 08/10/09(木) 18:52
お住まい: 大阪

Webの書き込みを見て実験しました

投稿記事by きりん » 10/04/02(金) 20:40

きりんです。
Webの書き込みを読んでいたら、Ubuntu上でAbiwordのインライン変換が出来た旨の情報があったので実験してみました。

Ubuntu 10.04 beta 1 に、Abiword 2.8.2 と scim をインストールし、Abiword を起動後、インプットメソッドを"scim-bridge"を選択したところ、インライン変換が可能でした。
ただし、画面がチカチカする(全体の再描画を行っている感じ)ですが・・・
puppeeeのAbiwordは2,8.1が利用されているので同じような状態に出きるのかな???
scim-bridgeどこかにあったかな・・・
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

puppeee4.31 のabiwordでインライン入力成功

投稿記事by きりん » 10/04/03(土) 14:58

きりんです。
puppeee4.31 beta4.2(日本語化 その1)
viewtopic.php?f=24&t=1530&p=12578#p12578
に書きましたが、puppyのabiwordで日本語インライン変換が可能でした。
これを元に、直近まで使っていたpuppy4.31 beta4.1(国内で配布されてるpetをベースに日本語化したもの)にscim-bridgeを加え、設定の修正を行ってみましたが、日本語入力不可になってしまいました。
なんでだろ???
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: puppeee4.31 のabiwordでインライン入力成功

投稿記事by きりん » 10/04/05(月) 20:54

きりんです。
puppeee4.31 beta4.2(日本語化 その1)
viewtopic.php?f=24&t=1530&p=12578#p12578
に追記しましが、wikiで配布されているパッケージと日本語版で使われているのは同種のパッケージ名でも違いがあるようですね。勝手に想像するに、puppyは想定するハードとサイズの小ささも一つの大切な要素なので今のような状態になっているのだと思います。
踏み入れてはいけない部分に入ってしまったかな・・・
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: puppeee4.31 のabiwordでインライン入力成功

投稿記事by シノバー » 10/04/05(月) 23:55

きりん さんが書きました:wikiで配布されているパッケージと日本語版で使われているのは同種のパッケージ名でも違いがあるようですね。

4.3x日本語版で使われているscimパッケージは以下のものです。
viewtopic.php?f=28&t=1284#p7997

これには socket関係が含まれていません。scim-bridgeを動かすには /usr/lib/scim-1.0/1.4.0/{Config,FrontEnd,IMEngine}/scim-socket.so が必要なようです。/tmp/xerrs.logを見るとコケている理由が分かります。

ちなみに手元で 4.3.1JPqs3 上で scimと scim-bridgeをコンパイルしなおしたもので、Abiword-2.8.1でインライン変換できることを確認しました。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

scim-bridge

投稿記事by シノバー » 10/04/06(火) 10:09

シノバー さんが書きました:[scim-bridgeを動かすには /usr/lib/scim-1.0/1.4.0/{Config,FrontEnd,IMEngine}/scim-socket.so が必要なようです。

これを補填した scim-bridge-0.4.16-pup4.pet を用意しました。こちらから (リンク直しました)

インストールの後、.xinitrcの適切な場所に次のような内容を加え、Xを再起動してください。
コード: 全て選択
if [ -x /usr/bin/scim ] && echo $LANG| grep -qi '.utf'; then
  [ -x /usr/bin/scim-bridge ] && export GTK_IM_MODULE="scim-bridge"
  export XMODIFIERS="@im=SCIM"
  ls /tmp/scim-helper-manager-socket* &>/dev/null || /usr/bin/scim -d
fi


このパッケージには Qtブリッジは含まれていません。Gtk用ブリッジのみです。
最後に編集したユーザー シノバー [ 10/04/06(火) 22:00 ], 累計 2 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: puppeee4.31 のabiwordでインライン入力成功

投稿記事by きりん » 10/04/06(火) 20:09

きりんです。
シノバー さんが書きました: scim-bridge-0.4.16-pup4.pet を用意しました。

シノバーさん、ありがとうございます。
puppeee4.31beta4.2 で lang_support_ja-1.1.sfs と scim-bridge-0.4.16-pup4.pet を使ったテストを行いました。結果OKでした。
/tmp/scim-bridge-*.socket が無いことは判っていたのですが、基本的なログの確認を怠っていました。
これからも、よろしくお願いします。
きりん
 
記事: 441
登録日時: 08/02/24(日) 21:49

Re: koropup2のabiwordでインライン入力成功

投稿記事by 新谷 » 10/04/06(火) 21:09

シノバー さんが書きました:
シノバー さんが書きました:[scim-bridgeを動かすには /usr/lib/scim-1.0/1.4.0/{Config,FrontEnd,IMEngine}/scim-socket.so が必要なようです。

これを補填した scim-bridge-0.4.16-pup4.pet を用意しました。
(ところで↑のリンクが切れてないっすか) 追記: リンク修正されてます。

シノバーさんのパッケージ&方法でAbiwordでインライン入力できました。
こ、これは素晴らしい :D :D
と言いつつ、.....えー、koropup2で試したのですが、ちょっとチラつきが多くて(低スペックPCだからだろうか?)、常用するかといえば正直微妙ですが、ともかくも大きな前進だと思います。感謝です。
新谷
 
記事: 934
登録日時: 08/10/09(木) 18:52
お住まい: 大阪


Return to パピーリナックス日本語版

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]